%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  nos
%global packver   2.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          2.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Compute Node Overlap and Segregation in Ecological Networks

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.1.0
Requires:         R-core >= 4.1.0
BuildArch:        noarch
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-gmp 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-bipartite 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-gmp 
Requires:         R-stats 
Requires:         R-CRAN-bipartite 

%description
Calculate NOS (node overlap and segregation) and the associated metrics
described in Strona and Veech (2015) <doi:10.1111/2041-210X.12395> and
Strona et al. (2018) <doi:10.1111/ecog.03447>. The functions provided in
the package enable assessment of structural patterns ranging from complete
node segregation to perfect nestedness in a variety of network types. In
addition, they provide a measure of network modularity.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
